clear all
close all
clc

n = 10;

v = 1:n-1;
D = diag(v, 1);
An = diag(n:-1:1) + D + D';
bn = (1:n)' ./ (n:-1:1)';

if all(eigs(An) > 0)
    L = chol(An, 'lower');
    x = L' \ (L \ bn);
else
    [L, U, P] = lu(An);
    x = U \ (L \ (P*bn));
end

disp(L(1, 1))
disp(L(n, n - 1))
norm(bn - An*x, inf)